SDL_TextInputEvent(3type)

NAME
SDL_TextInputEvent - Keyboard text input event structure (event.text.*)

SYNOPSIS
#include <SDL3/SDL_events.h>

typedef struct SDL_TextInputEvent
{
    SDL_EventType type; /**< SDL_EVENT_TEXT_INPUT */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_WindowID windowID; /**< The window with keyboard focus, if any */
    const char *text;   /**< The input text, UTF-8 encoded */
} SDL_TextInputEvent;

DESCRIPTION
This event will never be delivered unless text input is enabled by calling SDL_StartTextInput(). Text input is disabled by default!

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_StartTextInput(3), SDL_StopTextInput(3)